Package org.apache.storm.hive.common

## Class HiveOptions

- java.lang.Object
- - org.apache.storm.hive.common.HiveOptions

- All Implemented Interfaces:
    `Serializable`

      @Deprecated(since="2.7.1",
                  forRemoval=true)
      public class HiveOptions
      extends Object
      implements Serializable

  Deprecated, for removal: This API element is subject to removal in a future version.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Boolean` | `autoCreatePartitions` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected Integer` | `batchSize` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected Integer` | `callTimeout` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected String` | `databaseName` | Deprecated, for removal: This API element is subject to removal in a future version.
    `static int` | `DEFAULT_TICK_TUPLE_INTERVAL_SECS` | Deprecated, for removal: This API element is subject to removal in a future version. Half of the default Config.TOPOLOGY_MESSAGE_TIMEOUT_SECS
    `protected Integer` | `heartBeatInterval` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected Integer` | `idleTimeout` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected String` | `kerberosKeytab` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected String` | `kerberosPrincipal` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected HiveMapper` | `mapper` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected Integer` | `maxOpenConnections` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected String` | `metaStoreURI` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected String` | `tableName` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected Integer` | `tickTupleInterval` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected Integer` | `txnsPerBatch` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HiveOptions​(String metaStoreUri, String databaseName, String tableName, HiveMapper mapper)` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Boolean` | `getAutoCreatePartitions()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `Integer` | `getBatchSize()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `Integer` | `getCallTimeOut()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `getDatabaseName()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `Integer` | `getHeartBeatInterval()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `Integer` | `getIdleTimeout()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `getKerberosKeytab()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `getKerberosPrincipal()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `HiveMapper` | `getMapper()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `Integer` | `getMaxOpenConnections()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `getMetaStoreURI()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `getTableName()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `Integer` | `getTickTupleInterval()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `Integer` | `getTxnsPerBatch()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `HiveOptions` | `withAutoCreatePartitions​(Boolean autoCreatePartitions)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `HiveOptions` | `withBatchSize​(Integer batchSize)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `HiveOptions` | `withCallTimeout​(Integer callTimeout)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `HiveOptions` | `withHeartBeatInterval​(Integer heartBeatInterval)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `HiveOptions` | `withIdleTimeout​(Integer idleTimeout)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `HiveOptions` | `withKerberosKeytab​(String kerberosKeytab)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `HiveOptions` | `withKerberosPrincipal​(String kerberosPrincipal)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `HiveOptions` | `withMaxOpenConnections​(Integer maxOpenConnections)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `HiveOptions` | `withTickTupleInterval​(Integer tickInterval)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `HiveOptions` | `withTxnsPerBatch​(Integer txnsPerBatch)` | Deprecated, for removal: This API element is subject to removal in a future version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TICK_TUPLE_INTERVAL_SECS

          public static final int DEFAULT_TICK_TUPLE_INTERVAL_SECS

      Deprecated, for removal: This API element is subject to removal in a future version.
      Half of the default Config.TOPOLOGY_MESSAGE_TIMEOUT_SECS
      See Also:
        Constant Field Values

    - #### mapper

          protected HiveMapper mapper

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### databaseName

          protected String databaseName

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### tableName

          protected String tableName

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### metaStoreURI

          protected String metaStoreURI

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### txnsPerBatch

          protected Integer txnsPerBatch

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### maxOpenConnections

          protected Integer maxOpenConnections

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### batchSize

          protected Integer batchSize

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### idleTimeout

          protected Integer idleTimeout

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### callTimeout

          protected Integer callTimeout

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### heartBeatInterval

          protected Integer heartBeatInterval

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### autoCreatePartitions

          protected Boolean autoCreatePartitions

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### kerberosPrincipal

          protected String kerberosPrincipal

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### kerberosKeytab

          protected String kerberosKeytab

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### tickTupleInterval

          protected Integer tickTupleInterval

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Constructor Detail

    - #### HiveOptions

          public HiveOptions​(String metaStoreUri,
                             String databaseName,
                             String tableName,
                             HiveMapper mapper)

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Detail

    - #### withTickTupleInterval

          public HiveOptions withTickTupleInterval​(Integer tickInterval)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### withTxnsPerBatch

          public HiveOptions withTxnsPerBatch​(Integer txnsPerBatch)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### withMaxOpenConnections

          public HiveOptions withMaxOpenConnections​(Integer maxOpenConnections)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### withBatchSize

          public HiveOptions withBatchSize​(Integer batchSize)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### withIdleTimeout

          public HiveOptions withIdleTimeout​(Integer idleTimeout)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### withCallTimeout

          public HiveOptions withCallTimeout​(Integer callTimeout)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### withHeartBeatInterval

          public HiveOptions withHeartBeatInterval​(Integer heartBeatInterval)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### withAutoCreatePartitions

          public HiveOptions withAutoCreatePartitions​(Boolean autoCreatePartitions)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### withKerberosKeytab

          public HiveOptions withKerberosKeytab​(String kerberosKeytab)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### withKerberosPrincipal

          public HiveOptions withKerberosPrincipal​(String kerberosPrincipal)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getMetaStoreURI

          public String getMetaStoreURI()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getDatabaseName

          public String getDatabaseName()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getTableName

          public String getTableName()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getMapper

          public HiveMapper getMapper()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getBatchSize

          public Integer getBatchSize()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getCallTimeOut

          public Integer getCallTimeOut()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getHeartBeatInterval

          public Integer getHeartBeatInterval()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getMaxOpenConnections

          public Integer getMaxOpenConnections()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getIdleTimeout

          public Integer getIdleTimeout()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getTxnsPerBatch

          public Integer getTxnsPerBatch()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getAutoCreatePartitions

          public Boolean getAutoCreatePartitions()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getKerberosPrincipal

          public String getKerberosPrincipal()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getKerberosKeytab

          public String getKerberosKeytab()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getTickTupleInterval

          public Integer getTickTupleInterval()

      Deprecated, for removal: This API element is subject to removal in a future version.